#
# circle.py
# Draws a circle using Python Turtle Graphics
# Tested with Python 3.7.9 on Windows 10
#
# Fri July 16, 2021
# Copyright ©. All rights reserved. NAF 2021.
#

#
# set up the program
#
# import turtle drawing routines
from turtle import *
# create the drawing window
setup()
# create a title for the drawing window
title("circle program")
# create a turtle to draw with
turtle = Turtle()

#
# draw the circle
#
# lift the pen up (away from the window) so it doesn't draw a line as it moves
turtle.up()
# set the starting point for the drawing pen
turtle.goto(0,20)
# put the pen down (against the window) so it can begin to draw
turtle.down()
# set the pen color
turtle.color("red")
# set the pen width
turtle.width(2)
# call begin_fill() before drawing the circle
turtle.begin_fill()
# draw the circle
turtle.circle(50)
# call end_fill() after drawing the circle
turtle.end_fill()

#
# hide the turtle
#
turtle.hideturtle()

#
# end the program
#

