#
# coordinates.py
# Shows how Turtle Graphics coordinates work
# Tested with Python 3.7.9 on Windows 10
#
# Fri July 16, 2021
# Copyright ©. All rights reserved. NAF 2021.
#
#
# set up the program
#
# import turtle drawing routines
from turtle import *
# import turtle math routines
from math import *
# create a title for the drawing window
title("coordinates program")
# create the drawing window
setup()
# create a turtle to draw with
turtle=Turtle()
# set the pen speed
speed("fastest")

#
# create a function to draw x and y lines
#
def drawline(x0,y0,x1,y1,t):
    t.up()
    t.goto(x0,y0)
    ang=t.towards(x1,y1)
    t.setheading(ang)
    dist=sqrt((x1-x0)**2 + (y1-y0)**2)
    t.down()
    t.forward(dist)
    return

#
# create a function to write the labels
#
def gofun(x,y,t):
    s=".(%d,%d)" % (x,y)
    t.up()
    t.goto(x,y)
    t.down()
    t.write(s)
    return

#
# call the function (drawline()) to draw the lines
#
drawline(-250,0,250,0,turtle)
write("x-axis")
drawline(0,-250,0,250,turtle)
write("y-axis")

#
# label some key coordinates (calls the gofun() function)
#
for ix in range(5):
    x=-200+(100*ix)
    for iy in range(5):
        y=-200+(100*iy)
        gofun(x,y,turtle)

#
# hide the turtle
#
turtle.hideturtle()

#
# end the program
#
done()
