#
# target.py
# Draws an archery target of three concentric circles using Turtle Graphics
# Tested with Python 3.7.9 on Windows 10
#
# Fri July 16, 2021
# Copyright ©. All rights reserved. NAF 2021.
#
#
# set up the program
#
# import turtle drawing routines
from turtle import *
# create the drawing window
setup()
# create a title for the drawing window
title("target program")
# create a turtle to draw with
turtle = Turtle()

#
# draw the largest red circle
#
# lift the pen up (away from the window) so it doesn't draw a line as it moves
turtle.up()
# the radius of the red circle is 150px
turtle.sety(-150)
# put the pen down (against the window) so it can begin to draw
turtle.down()
# set the color
turtle.color("red")
# set the pen width
turtle.width(2)
# call begin_fill() before drawing the path
turtle.begin_fill()
# draw the path
turtle.circle(150)
# call end_fill() after drawing the path
turtle.end_fill()

#
# draw the middle blue circle
#
turtle.up()
# the radius of the blue circle is 100px
turtle.sety(-100)
turtle.down()
turtle.color("blue")
turtle.begin_fill()
turtle.circle(100)
turtle.end_fill()

#
# draw the green circle (the bulls-eye)
#
turtle.up()
# the radius of the green circle is 50px
turtle.sety(-50)
turtle.down()
turtle.color("green")
turtle.begin_fill()
turtle.circle(50)
turtle.end_fill()

#
# hide the turtle
#
turtle.hideturtle()

#
# end the program
#
done()

