#
# snowman_advanced.py
# Draws a snowman using Turtle Graphics
# Includes eyes, a mouth, a nose, hat, buttons, and arms
# NOTE: Includes the code for snowman_basic.py
# Tested with Python 3.7.9 on Windows 10
#
# Fri July 16, 2021
# Copyright ©. All rights reserved. NAF 2021.
#
#
# set up the program
#
# import turtle drawing routines
from turtle import *
# create the drawing window
setup()
# create a title for the drawing window
title("advanced snowman program")
# create a turtle to draw with
turtle = Turtle()
# set the drawing speed
turtle.speed("fastest")

#
# draw the snowman
#

# set the pen width
turtle.width(5)

# draw the body bottom
turtle.up()
turtle.color("black")
turtle.goto(0,-250)
turtle.down()
turtle.circle(120)

# draw the body middle (chest)
turtle.up()
turtle.color("black")
turtle.goto(0,-10)
turtle.down()
turtle.circle(80)
# draw the buttons on the chest (advanced feature)
turtle.up()
turtle.color("green")
turtle.goto(0,40)
turtle.down()
turtle.begin_fill()
turtle.circle(5)
turtle.end_fill()
turtle.up()
turtle.goto(0,80)
turtle.down()
turtle.begin_fill()
turtle.circle(5)
turtle.end_fill()
turtle.up()
turtle.goto(0,120)
turtle.down()
turtle.begin_fill()
turtle.circle(5)
turtle.end_fill()
# draw the arm on the right (the snowman's left arm) (advanced feature)
turtle.up()
turtle.color("green")
turtle.goto(70,110)
turtle.down()
turtle.setheading(-30)
turtle.forward(80)
# draw the arm on the left (the snowman's right arm) (advanced feature)
turtle.up()
turtle.color("green")
turtle.goto(-70,110)
turtle.down()
turtle.setheading(210)
turtle.forward(80)

# draw the head
turtle.up()
turtle.color("black")
turtle.goto(0,150)
turtle.down()
turtle.setheading(0)
turtle.circle(40)
# draw the eyes
turtle.up()
turtle.goto(-20,190)
turtle.down()
turtle.color("brown")
turtle.begin_fill()
turtle.circle(8)
turtle.end_fill()
turtle.up()
turtle.goto(20,190)
turtle.down()
turtle.begin_fill()
turtle.circle(8)
turtle.end_fill()
# draw a dot for the nose (advanced feature)
turtle.up()
turtle.goto(0,180)
turtle.color("black")
turtle.begin_fill()
turtle.circle(5)
turtle.end_fill()
# draw the mouth
turtle.up()
turtle.color("red")
turtle.goto(0,160)
turtle.down()
turtle.begin_fill()
turtle.circle(5)
turtle.end_fill()
# draw the hat on top of the head (advanced feature)
turtle.up()
turtle.color("black")
turtle.goto(0,230)
turtle.down()
turtle.setheading(180)
turtle.forward(30)
turtle.goto(0,230)
turtle.setheading(0)
turtle.begin_fill()
turtle.forward(30)
turtle.goto(10,230)
turtle.setheading(90)
turtle.forward(30)
turtle.left(90)
turtle.forward(20)
turtle.left(90)
turtle.forward(30)
turtle.end_fill()

#
# hide the turtle
#
turtle.hideturtle()

#
# end the program, done() not required by Thonny
#

